Roots Discourse

Bootstrap 4 function and class didnt work

hei guys, i just download sage template. when i try to create a navbar. the link didnt show up. then i try to create some modal. it didnt work either. and ive got jquery migrate even i think i didnt include it.
i try to create the same template without sage and wordpress (only jquery, tether.js and bootstrap css&js ). it work. so why it didnt work in version sage?

when i install npm i get output like this
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@^1.0.0 (node_modules\chokidar\node_modules\fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.0.17: wanted {“os”:“darwin”,“arch”:“any”} (current: {“os”:“win32”,“arch”:“x64”})

bower v 1.8.0
npm v 4.1.2

please give me suggest

What version of Sage are you using? Are you using Trellis?

The screenshot you posted indicates a problem with your HTML, not with Sage. That problem with your HTML could be causing your modals and other such javascript elements to fail.